; kernel32 header for MASM 64 for using with Gallo's x64calling.inc by GUAN DE DIO 
;

IFNDEF _KERNEL32_
_KERNEL32_ equ 1

funcproto external,ActivateActCtx,QWORD,QWORD

EXTERNDEF AddAtomA:PROC
EXTERNDEF AddAtomW:PROC
EXTERNDEF AddConsoleAliasA:PROC
EXTERNDEF AddConsoleAliasW:PROC

funcproto external,AddRefActCtx,QWORD
funcproto external,AddVectoredContinueHandler,DWORD,QWORD
funcproto external,AddVectoredExceptionHandler,DWORD,QWORD
funcproto external,AllocateUserPhysicalPages,QWORD,QWORD,QWORD
funcproto external,AllocConsole
funcproto external,AreFileApisANSI
funcproto external,AssignProcessToJobObject,QWORD,QWORD
funcproto external,AttachConsole,DWORD
funcproto external,BackupRead,QWORD,QWORD,DWORD,QWORD,DWORD,DWORD,QWORD
funcproto external,BackupSeek,QWORD,DWORD,DWORD,QWORD,QWORD,QWORD
funcproto external,BackupWrite,QWORD,QWORD,DWORD,QWORD,DWORD,DWORD,QWORD
funcproto external,Beep,DWORD,DWORD

EXTERNDEF BeginUpdateResourceA:PROC
EXTERNDEF BeginUpdateResourceW:PROC

funcproto external,BindIoCompletionCallback,QWORD,QWORD,DWORD

EXTERNDEF BuildCommDCBA:PROC
EXTERNDEF BuildCommDCBW:PROC
EXTERNDEF BuildCommDCBAndTimeoutsA:PROC
EXTERNDEF BuildCommDCBAndTimeoutsW:PROC
EXTERNDEF CallNamedPipeA:PROC
EXTERNDEF CallNamedPipeW:PROC

funcproto external,CancelIo,QWORD
funcproto external,CancelWaitableTimer,QWORD
funcproto external,ChangeTimerQueueTimer,QWORD,QWORD,DWORD,DWORD

EXTERNDEF CheckNameLegalDOS8Dot3A:PROC
EXTERNDEF CheckNameLegalDOS8Dot3W:PROC

funcproto external,CheckRemoteDebuggerPresent,QWORd,QWORD
funcproto external,ClearCommBreak,QWORD
funcproto external,ClearCommError,QWORD,QWORD,QWORD
funcproto external,CloseHandle,QWORD

EXTERNDEF CommConfigDialogA:PROC
EXTERNDEF CommConfigDialogW:PROC

funcproto external,CompareFileTime,QWORD,QWORD

EXTERNDEF CompareStringA:PROC
EXTERNDEF CompareStringW:PROC

funcproto external,ConnectNamedPipe,QWORD,QWORD
funcproto external,ContinueDebugEvent,DWORD,DWORD,DWORD
funcproto external,ConvertDefaultLocale,DWORD
funcproto external,ConvertFiberToThread
funcproto external,ConvertThreadToFiber,QWORD
funcproto external,ConvertThreadToFiberEx,QWORD,DWORD

EXTERNDEF CopyFileA:PROC
EXTERNDEF CopyFileW:PROC
EXTERNDEF CopyFileExA:PROC
EXTERNDEF CopyFileExW:PROC
EXTERNDEF CreateActCtxA:PROC
EXTERNDEF CreateActCtxW:PROC

funcproto external,CreateConsoleScreenBuffer,DWORD,DWORD,QWORD,DWORD,QWORD

EXTERNDEF CreateDirectoryA:PROC
EXTERNDEF CreateDirectoryW:PROC
EXTERNDEF CreateDirectoryExA:PROC
EXTERNDEF CreateDirectoryExW:PROC
EXTERNDEF CreateEventA:PROC
EXTERNDEF CreateEventW:PROC

funcproto external,CreateFiber,QWORD,QWORD,QWORD
funcproto external,CreateFiberEx,QWORD,QWORD,DWORD,QWORD,QWORD

EXTERNDEF CreateFileA:PROC
EXTERNDEF CreateFileW:PROC
EXTERNDEF CreateFileMappingA:PROC
EXTERNDEF CreateFileMappingW:PROC
EXTERNDEF CreateHardLinkA:PROC
EXTERNDEF CreateHardLinkW:PROC

funcproto external,CreateIoCompletionPort,QWORD,QWORD,QWORD,DWORD

EXTERNDEF CreateJobObjectA:PROC
EXTERNDEF CreateJobObjectW:PROC
EXTERNDEF CreateMailslotA:PROC
EXTERNDEF CreateMailslotW:PROC

funcproto external,CreateMemoryResourceNotification,DWORD

EXTERNDEF CreateMutexA:PROC
EXTERNDEF CreateMutexW:PROC
EXTERNDEF CreateNamedPipeA:PROC
EXTERNDEF CreateNamedPipeW:PROC

funcproto external,CreatePipe,QWORD,QWORD,QWORD,DWORD

EXTERNDEF CreateProcessA:PROC
EXTERNDEF CreateProcessW:PROC

funcproto external,CreateRemoteThread,QWORD,QWORD,QWORD,QWORD,QWORD,DWORD,QWORD

EXTERNDEF CreateSemaphoreA:PROC
EXTERNDEF CreateSemaphoreW:PROC

funcproto external,CreateTapePartition,QWORD,DWORD,DWORD,DWORD
funcproto external,CreateThread,QWORD,QWORD,QWORD,QWORD,DWORD,QWORD
funcproto external,CreateTimerQueue
funcproto external,CreateTimerQueueTimer,QWORD,QWORD,QWORD,QWORD,DWORD,DWORD,DWORD
funcproto external,CreateToolhelp32Snapshot,DWORD,DWORD

EXTERNDEF CreateWaitableTimerA:PROC
EXTERNDEF CreateWaitableTimerW:PROC

funcproto external,DeactivateActCtx,DWORD,QWORD
funcproto external,DebugActiveProcess,DWORD
funcproto external,DebugActiveProcessStop,DWORD
funcproto external,DebugBreak
funcproto external,DebugBreakProcess,QWORD
funcproto external,DebugSetProcessKillOnExit,DWORD

EXTERNDEF DefineDosDeviceA:PROC
EXTERNDEF DefineDosDeviceW:PROC

funcproto external,DeleteAtom,WORD
funcproto external,DeleteCriticalSection,QWORD
funcproto external,DeleteFiber,QWORD

EXTERNDEF DeleteFileA:PROC
EXTERNDEF DeleteFileW:PROC

funcproto external,DeleteTimerQueue,QWORD
funcproto external,DeleteTimerQueueEx,QWORD,QWORD
funcproto external,DeleteTimerQueueTimer,QWORD,QWORD,QWORD

EXTERNDEF DeleteVolumeMountPointA:PROC
EXTERNDEF DeleteVolumeMountPointW:PROC

funcproto external,DeviceIoControl,QWORD,DWORD,QWORD,DWORD,QWORD,DWORD,QWORD,QWORD
funcproto external,DisableThreadLibraryCalls,QWORD
funcproto external,DisconnectNamedPipe,QWORD

EXTERNDEF DnsHostnameToComputerNameA:PROC
EXTERNDEF DnsHostnameToComputerNameW:PROC

funcproto external,DosDateTimeToFileTime,WORD,WORD,QWORD
funcproto external,DuplicateHandle,QWORD,QWORD,QWORD,QWORD,DWORD,DWORD,DWORD

EXTERNDEF EndUpdateResourceA:PROC
EXTERNDEF EndUpdateResourceW:PROC

funcproto external,EnterCriticalSection,QWORD

EXTERNDEF EnumDateFormatsA:PROC
EXTERNDEF EnumDateFormatsW:PROC
EXTERNDEF EnumDateFormatsExA:PROC
EXTERNDEF EnumDateFormatsExW:PROC
EXTERNDEF EnumLanguageGroupLocalesA:PROC
EXTERNDEF EnumLanguageGroupLocalesW:PROC
EXTERNDEF EnumResourceLanguagesA:PROC
EXTERNDEF EnumResourceLanguagesW:PROC
EXTERNDEF EnumResourceNamesA:PROC
EXTERNDEF EnumResourceNamesW:PROC
EXTERNDEF EnumResourceTypesA:PROC
EXTERNDEF EnumResourceTypesW:PROC
EXTERNDEF EnumSystemCodePagesA:PROC
EXTERNDEF EnumSystemCodePagesW:PROC

funcproto external,EnumSystemFirmwareTables,DWORD,QWORD,DWORD
funcproto external,EnumSystemGeoID,DWORD,DWORD,QWORD

EXTERNDEF EnumSystemLanguageGroupsA:PROC
EXTERNDEF EnumSystemLanguageGroupsW:PROC
EXTERNDEF EnumSystemLocalesA:PROC
EXTERNDEF EnumSystemLocalesW:PROC
EXTERNDEF EnumTimeFormatsA:PROC
EXTERNDEF EnumTimeFormatsW:PROC
EXTERNDEF EnumUILanguagesA:PROC
EXTERNDEF EnumUILanguagesW:PROC

funcproto external,EraseTape,QWORD,DWORD,DWORD
funcproto external,EscapeCommFunction,QWORD,DWORD
funcproto external,ExitProcess,DWORD
funcproto external,ExitThread,DWORD

EXTERNDEF ExpandEnvironmentStringsA:PROC
EXTERNDEF ExpandEnvironmentStringsW:PROC
EXTERNDEF FatalAppExitA:PROC
EXTERNDEF FatalAppExitW:PROC

funcproto external,FatalExit,DWORD
funcproto external,FileTimeToDosDateTime,QWORD,QWORD,QWORD
funcproto external,FileTimeToLocalFileTime,QWORD,QWORD
funcproto external,FileTimeToSystemTime,QWORD,QWORD
funcproto external,FillConsoleOutputAttribute,QWORD,WORD,DWORD,WORD,WORD,QWORD

EXTERNDEF FillConsoleOutputCharacterA:PROC
EXTERNDEF FillConsoleOutputCharacterW:PROC

funcproto external,FindActCtxSectionGuid,QWORD,QWORD,DWORD,QWORD,QWORD

EXTERNDEF FindActCtxSectionStringA:PROC
EXTERNDEF FindActCtxSectionStringW:PROC
EXTERNDEF FindAtomA:PROC
EXTERNDEF FindAtomW:PROC

funcproto external,FindClose,QWORD
funcproto external,FindCloseChangeNotification,QWORD

EXTERNDEF FindFirstChangeNotificationA:PROC
EXTERNDEF FindFirstChangeNotificationW:PROC
EXTERNDEF FindFirstFileA:PROC
EXTERNDEF FindFirstFileW:PROC
EXTERNDEF FindFirstFileExA:PROC
EXTERNDEF FindFirstFileExW:PROC
EXTERNDEF FindFirstVolumeA:PROC
EXTERNDEF FindFirstVolumeW:PROC
EXTERNDEF FindFirstVolumeMountPointA:PROC
EXTERNDEF FindFirstVolumeMountPointW:PROC


funcproto external,FindFirstStreamW,QWORD,DWORD,QWORD,DWORD
funcproto external,FindNextChangeNotification,QWORD

EXTERNDEF FindNextFileA:PROC
EXTERNDEF FindNextFileW:PROC

funcproto external,FindNextStreamW,QWORD,QWORD

EXTERNDEF FindNextVolumeA:PROC
EXTERNDEF FindNextVolumeW:PROC
EXTERNDEF FindNextVolumeMountPointA:PROC
EXTERNDEF FindNextVolumeMountPointW:PROC
EXTERNDEF FindResourceA:PROC
EXTERNDEF FindResourceW:PROC
EXTERNDEF FindResourceExA:PROC
EXTERNDEF FindResourceExW:PROC

funcproto external,FindVolumeClose,QWORD
funcproto external,FindVolumeMountPointClose,QWORD
funcproto external,FlsAlloc,QWORD
funcproto external,FlsFree,DWORD
funcproto external,FlsGetValue,DWORD
funcproto external,FlsSetValue,DWORD,QWORD
funcproto external,FlushConsoleInputBuffer,QWORD
funcproto external,FlushFileBuffers,QWORD
funcproto external,FlushInstructionCache,QWORD,QWORD,QWORD
funcproto external,FlushViewOfFile,QWORD,QWORD

EXTERNDEF FoldStringA:PROC
EXTERNDEF FoldStringW:PROC
EXTERNDEF FormatMessageA:PROC
EXTERNDEF FormatMessageW:PROC

funcproto external,FreeConsole

EXTERNDEF FreeEnvironmentStringsA:PROC
EXTERNDEF FreeEnvironmentStringsW:PROC

funcproto external,FreeLibrary,QWORD
funcproto external,FreeLibraryAndExitThread,QWORD,DWORD
funcproto external,FreeResource,QWORD
funcproto external,FreeUserPhysicalPages,QWORD,QWORD,QWORD
funcproto external,GenerateConsoleCtrlEvent,DWORD,DWORD
funcproto external,GetACP

EXTERNDEF GetAtomNameA:PROC
EXTERNDEF GetAtomNameW:PROC
EXTERNDEF GetBinaryTypeA:PROC
EXTERNDEF GetBinaryTypeW:PROC
EXTERNDEF GetCommandLineA:PROC
EXTERNDEF GetCommandLineW:PROC

funcproto external,GetCommConfig,QWORD,QWORD,QWORD
funcproto external,GetCommMask,QWORD,QWORD
funcproto external,GetCommModemStatus,QWORD,QWORD
funcproto external,GetCommProperties,QWORD,QWORD
funcproto external,GetCommState,QWORD,QWORD
funcproto external,GetCommTimeouts,QWORD,QWORD

EXTERNDEF GetCompressedFileSizeA:PROC
EXTERNDEF GetCompressedFileSizeW:PROC
EXTERNDEF GetComputerNameA:PROC
EXTERNDEF GetComputerNameW:PROC
EXTERNDEF GetComputerNameExA:PROC
EXTERNDEF GetComputerNameExW:PROC
EXTERNDEF GetConsoleAliasA:PROC
EXTERNDEF GetConsoleAliasW:PROC
EXTERNDEF GetConsoleAliasesA:PROC
EXTERNDEF GetConsoleAliasesW:PROC
EXTERNDEF GetConsoleAliasesLengthA:PROC
EXTERNDEF GetConsoleAliasesLengthW:PROC
EXTERNDEF GetConsoleAliasExesA:PROC
EXTERNDEF GetConsoleAliasExesW:PROC
EXTERNDEF GetConsoleAliasExesLengthA:PROC
EXTERNDEF GetConsoleAliasExesLengthW:PROC

funcproto external,GetConsoleCP
funcproto external,GetConsoleCursorInfo,QWORD,QWORD
funcproto external,GetConsoleDisplayMode,QWORD
funcproto external,GetConsoleMode,QWORD,QWORD
funcproto external,GetConsoleOutputCP
funcproto external,GetConsoleProcessList,QWORD,DWORD
funcproto external,GetConsoleScreenBufferInfo,QWORD,QWORD
funcproto external,GetConsoleSelectionInfo,QWORD

EXTERNDEF GetConsoleTitleA:PROC
EXTERNDEF GetConsoleTitleW:PROC

funcproto external,GetConsoleWindow
funcproto external,GetCPInfo,DWORD,QWORD

EXTERNDEF GetCPInfoExA:PROC
EXTERNDEF GetCPInfoExW:PROC
EXTERNDEF GetCurrencyFormatA:PROC
EXTERNDEF GetCurrencyFormatW:PROC

funcproto external,GetCurrentActCtx,QWORD
funcproto external,GetCurrentConsoleFont,QWORD,DWORD,QWORD

EXTERNDEF GetCurrentDirectoryA:PROC
EXTERNDEF GetCurrentDirectoryW:PROC

funcproto external,GetCurrentProcess
funcproto external,GetCurrentProcessId
funcproto external,GetCurrentProcessorNumber
funcproto external,GetCurrentThread
funcproto external,GetCurrentThreadId

EXTERNDEF GetDateFormatA:PROC
EXTERNDEF GetDateFormatW:PROC
EXTERNDEF GetDefaultCommConfigA:PROC
EXTERNDEF GetDefaultCommConfigW:PROC

funcproto external,GetDevicePowerState,QWORD,QWORD

EXTERNDEF GetDiskFreeSpaceA:PROC
EXTERNDEF GetDiskFreeSpaceW:PROC
EXTERNDEF GetDiskFreeSpaceExA:PROC
EXTERNDEF GetDiskFreeSpaceExW:PROC
EXTERNDEF GetDllDirectoryA:PROC
EXTERNDEF GetDllDirectoryW:PROC
EXTERNDEF GetDriveTypeA:PROC
EXTERNDEF GetDriveTypeW:PROC
EXTERNDEF GetEnvironmentStringsA:PROC
EXTERNDEF GetEnvironmentStringsW:PROC
EXTERNDEF GetEnvironmentVariableA:PROC
EXTERNDEF GetEnvironmentVariableW:PROC

funcproto external,GetExitCodeProcess,QWORD,QWORD
funcproto external,GetExitCodeThread,QWORD,QWORD

EXTERNDEF GetFileAttributesA:PROC
EXTERNDEF GetFileAttributesW:PROC
EXTERNDEF GetFileAttributesExA:PROC
EXTERNDEF GetFileAttributesExW:PROC

funcproto external,GetFileInformationByHandle,QWORD,QWORD
funcproto external,GetFileSize,QWORD,QWORD
funcproto external,GetFileSizeEx,QWORD,QWORD
funcproto external,GetFileTime,QWORD,QWORD,QWORD,QWORD
funcproto external,GetFileType,QWORD

EXTERNDEF GetFirmwareEnvironmentVariableA:PROC
EXTERNDEF GetFirmwareEnvironmentVariableW:PROC
EXTERNDEF GetFullPathNameA:PROC
EXTERNDEF GetFullPathNameW:PROC
EXTERNDEF GetGeoInfoA:PROC
EXTERNDEF GetGeoInfoW:PROC

funcproto external,GetHandleInformation,QWORD,QWORD
funcproto external,GetLargePageMinimum
funcproto external,GetLargestConsoleWindowSize,QWORD
funcproto external,GetLastError

EXTERNDEF GetLocaleInfoA:PROC
EXTERNDEF GetLocaleInfoW:PROC

funcproto external,GetLocalTime,QWORD
funcproto external,GetLogicalDrives

EXTERNDEF GetLogicalDriveStringsA:PROC
EXTERNDEF GetLogicalDriveStringsW:PROC

funcproto external,GetLogicalProcessorInformation,QWORD,QWORD

EXTERNDEF GetLongPathNameA:PROC
EXTERNDEF GetLongPathNameW:PROC

funcproto external,GetMailslotInfo,QWORD,QWORD,QWORD,QWORD,QWORD

EXTERNDEF GetModuleFileNameA:PROC
EXTERNDEF GetModuleFileNameW:PROC
EXTERNDEF GetModuleHandleA:PROC
EXTERNDEF GetModuleHandleW:PROC
EXTERNDEF GetModuleHandleExA:PROC
EXTERNDEF GetModuleHandleExW:PROC
EXTERNDEF GetNamedPipeHandleStateA:PROC
EXTERNDEF GetNamedPipeHandleStateW:PROC

funcproto external,GetNamedPipeInfo,QWORD,QWORD,QWORD,QWORD,QWORD
funcproto external,GetNativeSystemInfo,QWORD
funcproto external,GetNLSVersion,DWORD,DWORD,QWORD
funcproto external,GetNumaAvailableMemoryNode,BYTE,QWORD
funcproto external,GetNumaHighestNodeNumber,QWORD
funcproto external,GetNumaNodeProcessorMask,BYTE,QWORD
funcproto external,GetNumaProcessorNode,BYTE,QWORD

EXTERNDEF GetNumberFormatA:PROC
EXTERNDEF GetNumberFormatW:PROC

funcproto external,GetNumberOfConsoleInputEvents,QWORD,QWORD
funcproto external,GetNumberOfConsoleMouseButtons,QWORD
funcproto external,GetOEMCP
funcproto external,GetOverlappedResult,QWORD,QWORd,QWORD,DWORD
funcproto external,GetPriorityClass,QWORD

EXTERNDEF GetPrivateProfileIntA:PROC
EXTERNDEF GetPrivateProfileIntW:PROC
EXTERNDEF GetPrivateProfileSectionA:PROC
EXTERNDEF GetPrivateProfileSectionW:PROC
EXTERNDEF GetPrivateProfileSectionNamesA:PROC
EXTERNDEF GetPrivateProfileSectionNamesW:PROC
EXTERNDEF GetPrivateProfileStringA:PROC
EXTERNDEF GetPrivateProfileStringW:PROC
EXTERNDEF GetPrivateProfileStructA:PROC
EXTERNDEF GetPrivateProfileStructW:PROC

funcproto external,GetProcAddress,QWORD,QWORD
funcproto external,GetProcessAffinityMask,QWORD,QWORD,QWORD
funcproto external,GetProcessHandleCount,QWORD,QWORD
funcproto external,GetProcessHeap
funcproto external,GetProcessHeaps,DWORD,QWORD
funcproto external,GetProcessId,QWORD
funcproto external,GetProcessIdOfThread,QWORD
funcproto external,GetProcessIoCounters,QWORD,QWORD
funcproto external,GetProcessPriorityBoost,QWORD,QWORD
funcproto external,GetProcessShutdownParameters,QWORd,QWORD
funcproto external,GetProcessTimes,QWORD,QWORD,QWORD,QWORd,QWORD
funcproto external,GetProcessVersion,QWORD
funcproto external,GetProcessWorkingSetSize,QWORD,QWORD,QWORD
funcproto external,GetProcessWorkingSetSizeEx,QWORD,QWORd,QWORd,QWORD

EXTERNDEF GetProfileIntA:PROC
EXTERNDEF GetProfileIntW:PROC
EXTERNDEF GetProfileSectionA:PROC
EXTERNDEF GetProfileSectionW:PROC
EXTERNDEF GetProfileStringA:PROC
EXTERNDEF GetProfileStringW:PROC

funcproto external,GetQueuedCompletionStatus,QWORD,QWORD,QWORd,QWORd,DWORD

EXTERNDEF GetShortPathNameA:PROC
EXTERNDEF GetShortPathNameW:PROC
EXTERNDEF GetStartupInfoA:PROC
EXTERNDEF GetStartupInfoW:PROC

funcproto external,GetStdHandle,DWORD
funcproto external,GetStringTypeA,DWORD,DWORD,QWORD,DWORD,QWORD

EXTERNDEF GetStringTypeExA:PROC
EXTERNDEF GetStringTypeExW:PROC

funcproto external,GetStringTypeW,DWORD,QWORD,DWORD,QWORD
funcproto external,GetSystemDefaultLangID
funcproto external,GetSystemDefaultLCID
funcproto external,GetSystemDefaultUILanguage

EXTERNDEF GetSystemDirectoryA:PROC
EXTERNDEF GetSystemDirectoryW:PROC

funcproto external,GetSystemFileCacheSize,QWORD,QWORD,QWORD
funcproto external,GetSystemFirmwareTable,DWORD,DWORD,QWORD,DWORD
funcproto external,GetSystemInfo,QWORD
funcproto external,GetSystemPowerStatus,QWORD
funcproto external,GetSystemRegistryQuota,QWORD,QWORD
funcproto external,GetSystemTime,QWORD
funcproto external,GetSystemTimeAdjustment,QWORD,QWORD,QWORD
funcproto external,GetSystemTimeAdjustment,QWORD,QWORD,QWORD
funcproto external,GetSystemTimes,QWORD,QWORD,QWORD

EXTERNDEF GetSystemWindowsDirectoryA:PROC
EXTERNDEF GetSystemWindowsDirectoryW:PROC
EXTERNDEF GetSystemWow64DirectoryA:PROC
EXTERNDEF GetSystemWow64DirectoryW:PROC

funcproto external,GetTapeParameters,QWORD,DWORD,QWORD,QWORD
funcproto external,GetTapePosition,QWORD,DWORD,QWORD,QWORD,QWORD
funcproto external,GetTapeStatus,QWORD

EXTERNDEF GetTempFileNameA:PROC
EXTERNDEF GetTempFileNameW:PROC
EXTERNDEF GetTempPathA:PROC
EXTERNDEF GetTempPathW:PROC

funcproto external,GetThreadContext,QWORD,QWORD
funcproto external,GetThreadId,QWORD
funcproto external,GetThreadIOPendingFlag,QWORD,QWORD
funcproto external,GetThreadLocale
funcproto external,GetThreadPriority,QWORD
funcproto external,GetThreadPriorityBoost,QWORD,QWORD
funcproto external,GetThreadSelectorEntry,QWORD,DWORD,QWORD
funcproto external,GetThreadTimes,QWORd,QWORD,QWORD,QWORD,QWORD
funcproto external,GetTickCount

EXTERNDEF GetTimeFormatA:PROC
EXTERNDEF GetTimeFormatW:PROC

funcproto external,GetTimeZoneInformation,QWORD
funcproto external,GetUserDefaultLangID
funcproto external,GetUserDefaultLCID
funcproto external,GetUserDefaultUILanguage
funcproto external,GetUserGeoID,DWORD
funcproto external,GetVersion

EXTERNDEF GetVersionExA:PROC
EXTERNDEF GetVersionExW:PROC
EXTERNDEF GetVolumeInformationA:PROC
EXTERNDEF GetVolumeInformationW:PROC
EXTERNDEF GetVolumeNameForVolumeMountPointA:PROC
EXTERNDEF GetVolumeNameForVolumeMountPointW:PROC
EXTERNDEF GetVolumePathNameA:PROC
EXTERNDEF GetVolumePathNameW:PROC
EXTERNDEF GetVolumePathNamesForVolumeNameA:PROC
EXTERNDEF GetVolumePathNamesForVolumeNameW:PROC
EXTERNDEF GetWindowsDirectoryA:PROC
EXTERNDEF GetWindowsDirectoryW:PROC

funcproto external,GetWriteWatch,DWORD,QWORD,QWORD,QWORD,QWORD,QWORD

EXTERNDEF GlobalAddAtomA:PROC
EXTERNDEF GlobalAddAtomW:PROC

funcproto external,GlobalAlloc,DWORD,QWORD
funcproto external,GlobalDeleteAtom,WORD

EXTERNDEF GlobalFindAtomA:PROC
EXTERNDEF GlobalFindAtomW:PROC

funcproto external,GlobalFlags,QWORD
funcproto external,GlobalFree,QWORD

EXTERNDEF GlobalGetAtomNameA:PROC
EXTERNDEF GlobalGetAtomNameW:PROC

funcproto external,GlobalHandle,QWORD
funcproto external,GlobalLock,QWORD
funcproto external,GlobalMemoryStatus,QWORD
funcproto external,GlobalMemoryStatusEx,QWORD
funcproto external,GlobalReAlloc,QWORD,QWORD,DWORD
funcproto external,GlobalSize,QWORD
funcproto external,GlobalUnlock,QWORD
funcproto external,Heap32First,QWORD,DWORD,QWORD
funcproto external,Heap32ListFirst,QWORD,QWORD
funcproto external,Heap32ListNext,QWORD,QWORD
funcproto external,Heap32Next,QWORD
funcproto external,HeapAlloc,QWORD,DWORD,QWORD
funcproto external,HeapCompact,QWORD,DWORD
funcproto external,HeapCreate,DWORD,QWORD,QWORD
funcproto external,HeapDestroy,QWORD
funcproto external,HeapFree,QWORD,DWORD,QWORD
funcproto external,HeapLock,QWORD
funcproto external,HeapQueryInformation,QWORD,DWORD,QWORD,QWORD,QWORD
funcproto external,HeapReAlloc,QWORD,DWORD,QWORD,QWORD
funcproto external,HeapSetInformation,QWORD,DWORD,QWORD,QWORD
funcproto external,HeapSize,QWORD,DWORD,QWORD
funcproto external,HeapUnlock,QWORD
funcproto external,HeapValidate,QWORD,DWORD,QWORD
funcproto external,HeapWalk,QWORD,QWORD
funcproto external,InitAtomTable,DWORD
funcproto external,InitializeCriticalSection,QWORD
funcproto external,InitializeCriticalSectionAndSpinCount,QWORD,DWORD
funcproto external,InitializeSListHead,QWORD
funcproto external,InterlockedFlushSList,QWORD
funcproto external,InterlockedPopEntrySList,QWORD
funcproto external,InterlockedPushEntrySList,QWORD,QWORD
funcproto external,IsBadCodePtr,QWORD
funcproto external,IsBadReadPtr,QWORD,QWORD

EXTERNDEF IsBadStringPtrA:PROC
EXTERNDEF IsBadStringPtrW:PROC

funcproto external,IsBadWritePtr,QWORD,QWORD
funcproto external,IsDBCSLeadByte,BYTE
funcproto external,IsDBCSLeadByteEx,DWORD,BYTE
funcproto external,IsDebuggerPresent
funcproto external,IsNLSDefinedString,DWORD,DWORD,QWORD,QWORD,DWORD
funcproto external,IsProcessInJob,QWORD,QWORD,QWORD
funcproto external,IsProcessorFeaturePresent,DWORD
funcproto external,IsSystemResumeAutomatic
funcproto external,IsValidCodePage,DWORD
funcproto external,IsValidLanguageGroup,DWORD,DWORD
funcproto external,IsValidLocale,DWORD,DWORD
funcproto external,IsWow64Process,QWORD,QWORD

EXTERNDEF LCMapStringA:PROC
EXTERNDEF LCMapStringW:PROC

funcproto external,LeaveCriticalSection,QWORD

EXTERNDEF LoadLibraryA:PROC
EXTERNDEF LoadLibraryW:PROC
EXTERNDEF LoadLibraryExA:PROC
EXTERNDEF LoadLibraryExW:PROC

funcproto external,LoadModule,QWORD,QWORD
funcproto external,LoadResource,QWORD,QWORD
funcproto external,LocalAlloc,DWORD,QWORD
funcproto external,LocalFileTimeToFileTime,QWORd,QWORD
funcproto external,LocalFlags,QWORD
funcproto external,LocalFree,QWORD
funcproto external,LocalHandle,QWORD
funcproto external,LocalLock,QWORD
funcproto external,LocalReAlloc,QWORD,QWORD,DWORD
funcproto external,LocalSize,QWORD
funcproto external,LocalUnlock,QWORD
funcproto external,LockFile,QWORD,DWORD,DWORD,DWORD,DWORD
funcproto external,LockFileEx,QWORD,DWORD,DWORD,DWORD,DWORD,QWORD
funcproto external,LockResource,QWORD

EXTERNDEF lstrcatA:PROC
EXTERNDEF lstrcatW:PROC
EXTERNDEF lstrcmpA:PROC
EXTERNDEF lstrcmpW:PROC
EXTERNDEF lstrcmpiA:PROC
EXTERNDEF lstrcmpiW:PROC
EXTERNDEF lstrcpyA:PROC
EXTERNDEF lstrcpyW:PROC
EXTERNDEF lstrcpynA:PROC
EXTERNDEF lstrcpynW:PROC
EXTERNDEF lstrlenA:PROC
EXTERNDEF lstrlenW:PROC

funcproto external,MapUserPhysicalPages,QWORD,QWORD,QWORD
funcproto external,MapUserPhysicalPagesScatter,QWORD,QWORD,QWORD
funcproto external,MapViewOfFile,QWORD,DWORD,DWORD,DWORD,QWORD
funcproto external,MapViewOfFileEx,QWORD,DWORD,DWORD,DWORD,QWORD,QWORD
funcproto external,Module32First,QWORD,QWORD
funcproto external,Module32FirstW,QWORD,QWORD
funcproto external,Module32Next,QWORD,QWORD
funcproto external,Module32NextW,QWORD,QWORD

EXTERNDEF MoveFileA:PROC
EXTERNDEF MoveFileW:PROC
EXTERNDEF MoveFileExA:PROC
EXTERNDEF MoveFileExW:PROC
EXTERNDEF MoveFileWithProgressA:PROC
EXTERNDEF MoveFileWithProgressW:PROC

funcproto external,MulDiv,DWORD,DWORD,DWORD
funcproto external,MultiByteToWideChar,DWORD,DWORD,QWORD,DWORD,QWORD,DWORD

EXTERNDEF NeedCurrentDirectoryForExePathA:PROC
EXTERNDEF NeedCurrentDirectoryForExePathW:PROC
EXTERNDEF OpenEventA:PROC
EXTERNDEF OpenEventW:PROC

funcproto external,OpenFile,QWORD,QWORD,DWORD

EXTERNDEF OpenFileMappingA:PROC
EXTERNDEF OpenFileMappingW:PROC
EXTERNDEF OpenJobObjectA:PROC
EXTERNDEF OpenJobObjectW:PROC
EXTERNDEF OpenMutexA:PROC
EXTERNDEF OpenMutexW:PROC

funcproto external,OpenProcess,dword,dword,dword

EXTERNDEF OpenSemaphoreA:PROC
EXTERNDEF OpenSemaphoreW:PROC

funcproto external,OpenThread,dword,DWORD,DWORD

EXTERNDEF OpenWaitableTimerA:PROC
EXTERNDEF OpenWaitableTimerW:PROC
EXTERNDEF OutputDebugStringA:PROC
EXTERNDEF OutputDebugStringW:PROC
EXTERNDEF PeekConsoleInputA:PROC
EXTERNDEF PeekConsoleInputW:PROC

funcproto external,PeekNamedPipe,QWORD,QWORD,DWORD,QWORD,QWORD,QWORD
funcproto external,PostQueuedCompletionStatus,QWORd,DWORD,QWORD,QWORD
funcproto external,PrepareTape,QWORD,DWORD,DWORD
funcproto external,Process32First,QWORD,QWORD

funcproto external,Process32FirstW,QWORD,QWORD
funcproto external,Process32Next,QWORD,QWORD
funcproto external,Process32NextW,QWORD,QWORD

funcproto external,ProcessIdToSessionId,DWORD,QWORD
funcproto external,PulseEvent,QWORD
funcproto external,PurgeComm,QWORD,DWORD
funcproto external,QueryActCtxW,DWORD,QWORD,QWORD,DWORD,QWORD,QWORD,QWORD
funcproto external,QueryDepthSList,QWORD

EXTERNDEF QueryDosDeviceA:PROC
EXTERNDEF QueryDosDeviceW:PROC

funcproto external,QueryInformationJobObject,QWORD,DWORD,QWORd,DWORD,QWORD
funcproto external,QueryMemoryResourceNotification,QWORD,QWORD
funcproto external,QueryPerformanceCounter,QWORD
funcproto external,QueryPerformanceFrequency,QWORD
funcproto external,QueueUserAPC,QWORD,QWORd,QWORD
funcproto external,QueueUserWorkItem,QWORD,QWORD,DWORD
funcproto external,RaiseException,DWORD,DWORD,DWORD,QWORD

EXTERNDEF ReadConsoleA:PROC
EXTERNDEF ReadConsoleW:PROC
EXTERNDEF ReadConsoleInputA:PROC
EXTERNDEF ReadConsoleInputW:PROC
EXTERNDEF ReadConsoleOutputA:PROC
EXTERNDEF ReadConsoleOutputW:PROC
EXTERNDEF ReadConsoleOutputCharacterA:PROC
EXTERNDEF ReadConsoleOutputCharacterW:PROC

funcproto external,ReadConsoleOutputAttribute,QWORD,QWORD,DWORD,DWORD,QWORD
funcproto external,ReadDirectoryChangesW,QWORD,QWORD,DWORD,DWORD,DWORD,QWORD,QWORD,QWORD
funcproto external,ReadFile,QWORD,QWORD,DWORD,QWORD,QWORD
funcproto external,ReadFileEx,QWORd,QWORD,DWORD,QWORD,QWORD
funcproto external,ReadFileScatter,QWORD,QWORD,DWORD,QWORD,QWORD
funcproto external,ReadProcessMemory,QWORD,QWORd,QWORD,QWORD,QWORD
funcproto external,RegisterWaitForSingleObject,QWORD,QWORD,QWORD,QWORD,DWORD,DWORD
;funcproto external,RegisterWaitForSingleObjectEx
funcproto external,ReleaseActCtx,QWORD
funcproto external,ReleaseMutex,QWORD
funcproto external,ReleaseSemaphore,QWORD,DWORD,QWORD

EXTERNDEF RemoveDirectoryA:PROC
EXTERNDEF RemoveDirectoryW:PROC

funcproto external,RemoveVectoredContinueHandler,QWOD
funcproto external,RemoveVectoredExceptionHandler,QWORD
funcproto external,ReOpenFile,QWORD,DWORD,DWORD,DWORD

EXTERNDEF ReplaceFileA:PROC
EXTERNDEF ReplaceFileW:PROC

;funcproto external,RequestDeviceWakeup
funcproto external,RequestWakeupLatency,DWORD
funcproto external,ResetEvent,QWORD
funcproto external,ResetWriteWatch,QWORD,QWORD
;funcproto external,RestoreLastError
funcproto external,ResumeThread,QWORD
funcproto external,RtlAddFunctionTable,QWORD,DWORD,QWORD,QWORD
funcproto external,RtlCaptureContext,QWORD
funcproto external,RtlCaptureStackBackTrace,DWORD,DWORD,QWORD,QWORD
;funcproto external,RtlCompareMemory
funcproto external,RtlDeleteFunctionTable,QWORD
funcproto external,RtlFillMemory,QWORD,QWORD,BYTE
funcproto external,RtlInstallFunctionTableCallback,QWORD,QWORD,DWORD,QWORD,QWORD,QWORD
funcproto external,RtlLookupFunctionEntry,QWORD,QWORD,QWORD
funcproto external,RtlMoveMemory,QWORD,QWORd,QWORD
funcproto external,RtlPcToFileHeader,QWORD,QWORD
;funcproto external,RtlRaiseException
funcproto external,RtlRestoreContext,QWORD,QWORD
funcproto external,RtlUnwind,QWORD,QWORD,QWORD,QWORD
funcproto external,RtlUnwindEx,QWORD,QWORD,QWORD,QWORD,QWORD,QWORD
funcproto external,RtlVirtualUnwind,DWORD,QWORD,QWORD,QWORD,QWORD,QWORD,QWORD,QWORD
funcproto external,RtlZeroMemory,QWORD,QWORD

EXTERNDEF ScrollConsoleScreenBufferA:PROC
EXTERNDEF ScrollConsoleScreenBufferW:PROC
EXTERNDEF SearchPathA:PROC
EXTERNDEF SearchPathW:PROC
EXTERNDEF SetCalendarInfoA:PROC
EXTERNDEF SetCalendarInfoW:PROC

funcproto external,SetCommBreak,QWORD
funcproto external,SetCommConfig,QWORD,QWORD,DWORD
funcproto external,SetCommMask,QWORD,DWORD
funcproto external,SetCommState,QWORD,QWORD
funcproto external,SetCommTimeouts,QWORD,QWORD

EXTERNDEF SetComputerNameA:PROC
EXTERNDEF SetComputerNameW:PROC
EXTERNDEF SetComputerNameExA:PROC
EXTERNDEF SetComputerNameExW:PROC

funcproto external,SetConsoleActiveScreenBuffer,QWORD
funcproto external,SetConsoleCP,DWORD
funcproto external,SetConsoleCtrlHandler,QWORD,DWORD
funcproto external,SetConsoleCursorInfo,QWORD,QWORD
funcproto external,SetConsoleCursorPosition,QWORd,DWORD
funcproto external,SetConsoleOutputCP,DWORD
funcproto external,SetConsoleScreenBufferSize,QWORD,DWORD
funcproto external,SetConsoleTextAttribute,QWORD,WORD

EXTERNDEF SetConsoleTitleA:PROC
EXTERNDEF SetConsoleTitleW:PROC

funcproto external,SetConsoleWindowInfo,QWORD,DWORD,QWORD
funcproto external,SetCriticalSectionSpinCount,QWORD,DWORD

EXTERNDEF SetCurrentDirectoryA:PROC
EXTERNDEF SetCurrentDirectoryW:PROC
EXTERNDEF SetDefaultCommConfigA:PROC
EXTERNDEF SetDefaultCommConfigW:PROC
EXTERNDEF SetDllDirectoryA:PROC
EXTERNDEF SetDllDirectoryW:PROC

funcproto external,SetEndOfFile,QWORD

EXTERNDEF SetEnvironmentVariableA:PROC
EXTERNDEF SetEnvironmentVariableW:PROC

funcproto external,SetErrorMode,DWORD
funcproto external,SetEvent,QWORD
funcproto external,SetFileApisToANSI
funcproto external,SetFileApisToOEM

EXTERNDEF SetFileAttributesA:PROC
EXTERNDEF SetFileAttributesW:PROC

funcproto external,SetFilePointer,QWORD,DWORD,QWORD,DWORD
funcproto external,SetFilePointerEx,QWORD,QWORD,QWORD,DWORD

EXTERNDEF SetFileShortNameA:PROC
EXTERNDEF SetFileShortNameW:PROC

funcproto external,SetFileTime,QWORD,QWORD,QWORD,QWORD
funcproto external,SetFileValidData,QWORD,QWORD

EXTERNDEF SetFirmwareEnvironmentVariableA:PROC
EXTERNDEF SetFirmwareEnvironmentVariableW:PROC

funcproto external,SetHandleInformation,QWORD,DWORD,DWORD
funcproto external,SetInformationJobObject,QWORD,DWORD,QWORD,DWORD
funcproto external,SetLastError,DWORD

EXTERNDEF SetLocaleInfoA:PROC
EXTERNDEF SetLocaleInfoW:PROC

funcproto external,SetLocalTime,QWORD
funcproto external,SetMailslotInfo,QWORD,DWORD
funcproto external,SetNamedPipeHandleState,QWORD,QWORD,QWORD,QWORD
funcproto external,SetPriorityClass,QWORD,DWORD
funcproto external,SetProcessAffinityMask,QWORD,QWORD
funcproto external,SetProcessPriorityBoost,QWORD,DWORD
funcproto external,SetProcessShutdownParameters,DWORD,DWORD
funcproto external,SetProcessWorkingSetSize,QWORD,QWORD,QWORD
funcproto external,SetProcessWorkingSetSizeEx,QWORD,QWORD,QWORD,DWORD
funcproto external,SetStdHandle,DWORD,QWORD
funcproto external,SetSystemFileCacheSize,QWORD,QWORD,DWORD
funcproto external,SetSystemPowerState,DWORD,DWORD
funcproto external,SetSystemTime,QWORD
funcproto external,SetSystemTimeAdjustment,DWORD,DWORD
funcproto external,SetTapeParameters,QWORD,DWORD,QWORD
funcproto external,SetTapePosition,QWORD,DWORD,DWORD,DWORD,DWORD,DWORD
funcproto external,SetThreadAffinityMask,QWORD,QWORD
funcproto external,SetThreadContext,QWORD,QWORD
funcproto external,SetThreadExecutionState,DWORD
funcproto external,SetThreadIdealProcessor,QWORD,DWORD
funcproto external,SetThreadLocale,DWORD
funcproto external,SetThreadPriority,QWORD,DWORD
funcproto external,SetThreadPriorityBoost,QWORD,DWORD
funcproto external,SetThreadStackGuarantee,QWORD
funcproto external,SetTimeZoneInformation,QWORD
funcproto external,SetUnhandledExceptionFilter,QWORD
funcproto external,SetupComm,QWORD,DWORD,DWORD
funcproto external,SetUserGeoID,DWORD

EXTERNDEF SetVolumeLabelA:PROC
EXTERNDEF SetVolumeLabelW:PROC
EXTERNDEF SetVolumeMountPointA:PROC
EXTERNDEF SetVolumeMountPointW:PROC

funcproto external,SetWaitableTimer,QWORD,QWORD,DWORD,QWORD,QWORD,DWORD
funcproto external,SignalObjectAndWait,QWORD,QWORD,DWORD,DWORD
funcproto external,SizeofResource,QWORD,QWORD
funcproto external,Sleep,DWORD
funcproto external,SleepEx,DWORD,DWORD
funcproto external,SuspendThread,QWORD
funcproto external,SwitchToFiber,QWORD
funcproto external,SwitchToThread
funcproto external,SystemTimeToFileTime,QWORD,QWORD
funcproto external,SystemTimeToTzSpecificLocalTime,QWORD,QWORD,QWORD
funcproto external,TerminateJobObject,QWORD,DWORD
funcproto external,TerminateProcess,QWORD,DWORD
funcproto external,TerminateThread,QWORD,DWORD
funcproto external,Thread32First,QWORD,QWORD
funcproto external,Thread32Next,QWORD,QWORD
funcproto external,TlsAlloc
funcproto external,TlsFree,DWORD
funcproto external,TlsGetValue,DWORD
funcproto external,TlsSetValue,DWORD,QWORD
funcproto external,Toolhelp32ReadProcessMemory,DWORD,QWORD,QWORD,QWORD,QWORD
funcproto external,TransactNamedPipe,QWORD,QWORD,DWORD,QWORD,DWORD,QWORD,QWORD
funcproto external,TransmitCommChar,QWORD,BYTE
funcproto external,TryEnterCriticalSection,QWORD
funcproto external,TzSpecificLocalTimeToSystemTime,QWORD,QWORD,QWORD
funcproto external,UnhandledExceptionFilter,QWORD
funcproto external,UnlockFile,QWORD,DWORD,DWORD,DWORD,DWORD
funcproto external,UnlockFileEx,QWORD,DWORD,DWORD,DWORD,QWORD
funcproto external,UnmapViewOfFile,QWORD
funcproto external,UnregisterWait,QWORD
funcproto external,UnregisterWaitEx,QWORD,QWORD

EXTERNDEF UpdateResourceA:PROC
EXTERNDEF UpdateResourceW:PROC
EXTERNDEF VerifyVersionInfoA:PROC
EXTERNDEF VerifyVersionInfoW:PROC
EXTERNDEF VerLanguageNameA:PROC
EXTERNDEF VerLanguageNameW:PROC

funcproto external,VerSetConditionMask,QWORD,DWORD,BYTE
funcproto external,VirtualAlloc,QWORD,QWORD,DWORD,DWORD
funcproto external,VirtualAllocEx,QWORD,QWORD,QWORD,DWORD,DWORD
funcproto external,VirtualFree,QWORD,QWORD,DWORD
funcproto external,VirtualFreeEx,QWORD,QWORD,QWORD,DWORD
funcproto external,VirtualLock,QWORD,QWORD
funcproto external,VirtualProtect,QWORD,QWORD,DWORD,QWORD
funcproto external,VirtualProtectEx,QWORD,QWORD,QWORD,DWORD,QWORD
funcproto external,VirtualQuery,QWORD,QWORD,QWORD
funcproto external,VirtualQueryEx,QWORD,QWORD,QWORD,QWORD
funcproto external,VirtualUnlock,QWORD,QWORD
funcproto external,WaitCommEvent,QWORD,QWORD,QWORD
funcproto external,WaitForDebugEvent,QWORD,DWORD
funcproto external,WaitForMultipleObjects,DWORD,QWORD,DWORD,DWORD
funcproto external,WaitForMultipleObjectsEx,DWORD,QWORD,DWORD,DWORD,DWORD
funcproto external,WaitForSingleObject,QWORD,DWORD
funcproto external,WaitForSingleObjectEx,QWORD,DWORD,DWORD

EXTERNDEF WaitNamedPipeA:PROC
EXTERNDEF WaitNamedPipeW:PROC

funcproto external,WideCharToMultiByte,DWORD,DWORD,QWORD,DWORD,QWORD,DWORD,QWORD,QWORD
funcproto external,WinExec,QWORD,DWORD
funcproto external,Wow64DisableWow64FsRedirection,QWORD
funcproto external,Wow64EnableWow64FsRedirection,DWORD
funcproto external,Wow64RevertWow64FsRedirection,QWORD
funcproto external,WriteConsoleOutputAttribute,QWORD,QWORD,DWORD,DWORD,QWORD

EXTERNDEF WriteConsoleA:PROC
EXTERNDEF WriteConsoleW:PROC
EXTERNDEF WriteConsoleInputA:PROC
EXTERNDEF WriteConsoleInputW:PROC
EXTERNDEF WriteConsoleOutputA:PROC
EXTERNDEF WriteConsoleOutputW:PROC
EXTERNDEF WriteConsoleOutputCharacterA:PROC
EXTERNDEF WriteConsoleOutputCharacterW:PROC

funcproto external,WriteFile,QWORD,QWORD,DWORD,QWORD,QWORD
funcproto external,WriteFileEx,QWORD,QWORD,DWORD,QWORD,QWORD
funcproto external,WriteFileGather,QWORD,QWORD,DWORD,QWORD,QWORD

EXTERNDEF WritePrivateProfileSectionA:PROC
EXTERNDEF WritePrivateProfileSectionW:PROC
EXTERNDEF WritePrivateProfileStringA:PROC
EXTERNDEF WritePrivateProfileStringW:PROC
EXTERNDEF WritePrivateProfileStructA:PROC
EXTERNDEF WritePrivateProfileStructW:PROC
EXTERNDEF WriteProfileSectionA:PROC
EXTERNDEF WriteProfileSectionW:PROC
EXTERNDEF WriteProfileStringA:PROC
EXTERNDEF WriteProfileStringW:PROC

funcproto external,WriteProcessMemory,QWORD,QWORD,QWORD,QWORD,QWORD
funcproto external,WriteTapemark,QWORD,DWORD,DWORD,DWORD
funcproto external,WTSGetActiveConsoleSessionId
funcproto external,ZombifyActCtx,QWORD

IFNDEF UNICODE

AddAtom EQU <AddAtomA>
funcproto external,AddAtom,QWORD

AddConsoleAlias EQU <AddConsoleAliasA>
funcproto external,AddConsoleAlias,QWORD,QWORD,QWORD

BeginUpdateResource EQU <BeginUpdateResourceA>
funcproto external,BeginUpdateResource,QWORD,DWORD

BuildCommDCB EQU <BuildCommDCBA>
funcproto external,BuildCommDCB,QWORD,QWORD

BuildCommDCBAndTimeouts EQU <BuildCommDCBAndTimeoutsA>
funcproto external,BuildCommDCBAndTimeouts,QWORD,QWORD,QWORD

CallNamedPipe EQU <CallNamedPipeA>
funcproto external,CallNamedPipe,QWORD,QWORD,DWORD,QWORD,DWORD,QWORD,DWORD

CheckNameLegalDOS8Dot3 EQU <CheckNameLegalDOS8Dot3A>
funcproto external,CheckNameLegalDOS8Dot3,QWORD,QWORD,DWORD,QWORD,QWORD

CommConfigDialog EQU <CommConfigDialogA>
funcproto external,CommConfigDialog,QWORD,QWORD,QWORD

CompareString EQU <CompareStringA>
funcproto external,CompareString,DWORD,DWORD,QWORD,DWORD,QWORD,DWORD

CopyFile EQU <CopyFileA>
funcproto external,CopyFile,QWORD,QWORD,DWORD

CopyFileEx EQU <CopyFileExA>
funcproto external,CopyFileEx,QWORD,QWORD,QWORD,QWORD,QWORD,DWORD

CreateActCtx EQU <CreateActCtxA>
funcproto external,CreateActCtx,QWORD

CreateDirectory EQU <CreateDirectoryA>
funcproto external,CreateDirectory,QWORD,QWORD

CreateDirectoryEx EQU <CreateDirectoryExA>
funcproto external,CreateDirectoryEx,QWORD,QWORD,QWORD

CreateEvent EQU <CreateEventA>
funcproto external,CreateEvent,QWORD,DWORD,DWORD,QWORD

CreateFile EQU <CreateFileA>
funcproto external,CreateFile,QWORD,DWORD,DWORD,QWORD,DWORD,DWORD,QWORD

CreateFileMapping EQU <CreateFileMappingA>
funcproto external,CreateFileMapping,QWORD,QWORD,DWORD,DWORD,DWORD,QWORD

CreateHardLink EQU <CreateHardLinkA>
funcproto external,CreateHardLink,QWORD,QWORD,QWORD

CreateJobObject EQU <CreateJobObjectA>
funcproto external,CreateJobObject,QWORD,QWORD

CreateMailslot EQU <CreateMailslotA>
funcproto external,CreateMailslot,QWORD,DWORD,DWORD,QWORD

CreateMutex EQU <CreateMutexA>
funcproto external,CreateMutex,QWORD,DWORD,QWORD

CreateNamedPipe EQU <CreateNamedPipeA>
funcproto external,CreateNamedPipe,QWORD,DWORD,DWORD,DWORD,DWORD,DWORD,DWORD,QWORD

CreateProcess EQU <CreateProcessA>
funcproto external,CreateProcess,QWORD,QWORD,QWORD,QWORD,DWORD,DWORD,QWORD,QWORD,QWORD,QWORD

CreateSemaphore EQU <CreateSemaphoreA>
funcproto external,CreateSemaphore,QWORD,DWORD,DWORD,QWORD

CreateWaitableTimer EQU <CreateWaitableTimerA>
funcproto external,CreateWaitableTimer,QWORD,DWORD,QWORD

DefineDosDevice EQU <DefineDosDeviceA>
funcproto external,DefineDosDevice,DWORD,QWORD,QWORD

DeleteFile EQU <DeleteFileA>
funcproto external,DeleteFile,QWORD

DeleteVolumeMountPoint EQU <DeleteVolumeMountPointA>
funcproto external,DeleteVolumeMountPoint,QWORD

DnsHostnameToComputerName EQU <DnsHostnameToComputerNameA>
funcproto external,DnsHostnameToComputerName,QWORD,QWORD,QWORD

EndUpdateResource EQU <EndUpdateResourceA>
funcproto external,EndUpdateResource,QWORD,DWORD

EnumDateFormats EQU <EnumDateFormatsA>
funcproto external,EnumDateFormats,QWORD,DWORD,DWORD

EnumDateFormatsEx EQU <EnumDateFormatsExA>
funcproto external,EnumDateFormatsEx,QWORD,DWORD,DWORD

EnumLanguageGroupLocales EQU <EnumLanguageGroupLocalesA>
funcproto external,EnumLanguageGroupLocales,QWORD,DWORD,DWORD,QWORD

EnumResourceLanguages EQU <EnumResourceLanguagesA>
funcproto external,EnumResourceLanguages,QWORD,QWORD,QWORD,QWORD,QWORD

EnumResourceNames EQU <EnumResourceNamesA>
funcproto external,EnumResourceNames,QWORD,QWORD,QWORD,QWORD

EnumResourceTypes EQU <EnumResourceTypesA>
funcproto external,EnumResourceTypes,QWORD,QWORD,QWORD

EnumSystemCodePages EQU <EnumSystemCodePagesA>
funcproto external,EnumSystemCodePages,QWORD,DWORD

EnumSystemLanguageGroups EQU <EnumSystemLanguageGroupsA>
funcproto external,EnumSystemLanguageGroups,QWORD,DWORD,QWORD

EnumSystemLocales EQU <EnumSystemLocalesA>
funcproto external,EnumSystemLocales,QWORD,DWORD

EnumTimeFormats EQU <EnumTimeFormatsA>
funcproto external,EnumTimeFormats,QWORD,DWORD,DWORD

EnumUILanguages EQU <EnumUILanguagesA>
funcproto external,EnumUILanguages,QWORD,DWORD,QWORD

ExpandEnvironmentStrings EQU <ExpandEnvironmentStringsA>
funcproto external,ExpandEnvironmentStrings,QWORD,QWORD,DWORD

FatalAppExit EQU <FatalAppExitA>
funcproto external,FatalAppExit,DWORD,QWORD

FillConsoleOutputCharacter EQU <FillConsoleOutputCharacterA>
funcproto external,FillConsoleOutputCharacter,QWORD,BYTE,DWORD,WORD,WORD,QWORD

FindActCtxSectionString EQU <FindActCtxSectionStringA>
funcproto external,FindActCtxSectionString,DWORD,QWORD,DWORD,QWORD,QWORD

FindAtom EQU <FindAtomA>
funcproto external,FindAtom,QWORD

FindFirstChangeNotification EQU <FindFirstChangeNotificationA>
funcproto external,FindFirstChangeNotification,QWORD,DWORD,DWORD

FindFirstFile EQU <FindFirstFileA>
funcproto external,FindFirstFile,QWORD,QWORD

FindFirstFileEx EQU <FindFirstFileExA>
funcproto external,FindFirstFileEx,QWORD,DWORD,QWORD,DWORD,QWORD,DWORD

FindFirstVolume EQU <FindFirstVolumeA>
funcproto external,FindFirstVolume,QWORD,DWORD

FindFirstVolumeMountPoint EQU <FindFirstVolumeMountPointA>
funcproto external,FindFirstVolumeMountPoint,QWORD,QWORD,DWORD

FindNextFile EQU <FindNextFileA>
funcproto external,FindNextFile,QWORD,QWORD

FindNextVolume EQU <FindNextVolumeA>
funcproto external,FindNextVolume,QWORD,QWORD,DWORD

FindNextVolumeMountPoint EQU <FindNextVolumeMountPointA>
funcproto external,FindNextVolumeMountPoint,QWORD,QWORD,DWORD

FindResource EQU <FindResourceA>
funcproto external,FindResource,QWORD,QWORD,QWORD

FindResourceEx EQU <FindResourceExA>
funcproto external,FindResourceEx,QWORD,QWORD,QWORD,WORD

FoldString EQU <FoldStringA>
funcproto external,FoldString,DWORD,QWORD,DWORD,QWORd,DWORD

FormatMessage EQU <FormatMessageA>
funcproto external,FormatMessage,DWORD,QWORD,DWORD,DWORD,QWORD,DWORD,QWORD

FreeEnvironmentStrings EQU <FreeEnvironmentStringsA>
funcproto external,FreeEnvironmentStrings,QWORD

GetAtomName EQU <GetAtomNameA>
funcproto external,GetAtomName,WORD,QWORD,DWORD

GetBinaryType EQU <GetBinaryTypeA>
funcproto external,GetBinaryType,QWORD,QWORD

GetCommandLine EQU <GetCommandLineA>
funcproto external,GetCommandLine

GetCompressedFileSize EQU <GetCompressedFileSizeA>
funcproto external,GetCompressedFileSize,QWORD,QWORD

GetComputerName EQU <GetComputerNameA>
funcproto external,GetComputerName,QWORD,QWORD

GetComputerNameEx EQU <GetComputerNameExA>
funcproto external,GetComputerNameEx,DWORD,QWORd,QWORD

GetConsoleAlias EQU <GetConsoleAliasA>
funcproto external,GetConsoleAlias,QWORD,QWORD,DWORD,QWORD

GetConsoleAliases EQU <GetConsoleAliasesA>
funcproto external,GetConsoleAliases,QWORD,DWORD,QWORD

GetConsoleAliasesLength EQU <GetConsoleAliasesLengthA>
funcproto external,GetConsoleAliasesLength,QWORD

GetConsoleAliasExes EQU <GetConsoleAliasExesA>
funcproto external,GetConsoleAliasExes,QWORD,DWORD

GetConsoleAliasExesLength EQU <GetConsoleAliasExesLengthA>
funcproto external,GetConsoleAliasExesLength

GetConsoleTitle EQU <GetConsoleTitleA>
funcproto external,GetConsoleTitle,QWORD,DWORD

GetCPInfoEx EQU <GetCPInfoExA>
funcproto external,GetCPInfoEx,DWORD,DWORD,QWORD

GetCurrencyFormat EQU <GetCurrencyFormatA>
funcproto external,GetCurrencyFormat,DWORD,DWORD,QWORD,QWORD,QWORD,DWORD

GetCurrentDirectory EQU <GetCurrentDirectoryA>
funcproto external,GetCurrentDirectory,DWORD,QWORD

GetDateFormat EQU <GetDateFormatA>
funcproto external,GetDateFormat,DWORD,DWORD,QWORD,QWORD,QWORD,DWORD

GetDefaultCommConfig EQU <GetDefaultCommConfigA>
funcproto external,GetDefaultCommConfig,QWORD,QWORD,QWORD

GetDiskFreeSpace EQU <GetDiskFreeSpaceA>
funcproto external,GetDiskFreeSpace,QWORD,QWORD,QWORD,QWORD,QWORD

GetDiskFreeSpaceEx EQU <GetDiskFreeSpaceExA>
funcproto external,GetDiskFreeSpaceEx,QWORD,QWORD,QWORD,QWORD

GetDllDirectory EQU <GetDllDirectoryA>
funcproto external,GetDllDirectory,DWORD,QWORD

GetDriveType EQU <GetDriveTypeA>
funcproto external,GetDriveType,QWORD

GetEnvironmentStrings EQU <GetEnvironmentStringsA>
funcproto external,GetEnvironmentStrings

GetEnvironmentVariable EQU <GetEnvironmentVariableA>
funcproto external,GetEnvironmentVariable,QWORD,QWORd,DWORD

GetFileAttributes EQU <GetFileAttributesA>
funcproto external,GetFileAttributes,QWORD

GetFileAttributesEx EQU <GetFileAttributesExA>
funcproto external,GetFileAttributesEx,QWORD,DWORD,QWORD

GetFirmwareEnvironmentVariable EQU <GetFirmwareEnvironmentVariableA>
funcproto external,GetFirmwareEnvironmentVariable,QWORD,QWORD,QWORD,DWORD

GetFullPathName EQU <GetFullPathNameA>
funcproto external,GetFullPathName,QWORD,DWORD,QWORD,QWORD

GetGeoInfo EQU <GetGeoInfoA>
funcproto external,GetGeoInfo,DWORD,DWORD,QWORD,DWORD,WORD

GetLocaleInfo EQU <GetLocaleInfoA>
funcproto external,GetLocaleInfo,DWORD,DWORD,QWORD,DWORD

GetLogicalDriveStrings EQU <GetLogicalDriveStringsA>
funcproto external,GetLogicalDriveStrings,DWORD,QWORD

GetLongPathName EQU <GetLongPathNameA>
funcproto external,GetLongPathName,QWORD,QWORD,DWORD


GetModuleFileName EQU <GetModuleFileNameA>
funcproto external,GetModuleFileName,QWORD,QWORD,DWORD

GetModuleHandle EQU <GetModuleHandleA>
funcproto external,GetModuleHandle,QWORD

GetModuleHandleEx EQU <GetModuleHandleExA>
funcproto external,GetModuleHandleEx,DWORD,QWORD,QWORD

GetNamedPipeHandleState EQU <GetNamedPipeHandleStateA>
funcproto external,GetNamedPipeHandleState,QWORD,QWORD,QWORD,QWORD,QWORD,QWORD,DWORD

GetNumberFormat EQU <GetNumberFormatA>
funcproto external,GetNumberFormat,DWORD,DWORD,QWORD,QWORD,QWORD,DWORD

GetPrivateProfileInt EQU <GetPrivateProfileIntA>
funcproto external,GetPrivateProfileInt,QWORD,QWORD,DWORD,QWORD

GetPrivateProfileSection EQU <GetPrivateProfileSectionA>
funcproto external,GetPrivateProfileSection,QWORD,QWORD,DWORD,QWORD

GetPrivateProfileSectionNames EQU <GetPrivateProfileSectionNamesA>
funcproto external,GetPrivateProfileSectionNames,QWORD,DWORD,QWORD

GetPrivateProfileString EQU <GetPrivateProfileStringA>
funcproto external,GetPrivateProfileString,QWORD,QWORD,QWORD,QWORD,DWORD,QWORD

GetPrivateProfileStruct EQU <GetPrivateProfileStructA>
funcproto external,GetPrivateProfileStruct,QWORD,QWORd,QWORD,DWORD,QWORD

GetProfileInt EQU <GetProfileIntA>
funcproto external,GetProfileInt,QWORD,QWORd,DWORD

GetProfileSection EQU <GetProfileSectionA>
funcproto external,GetProfileSection,QWORd,QWORd,DWORD

GetProfileString EQU <GetProfileStringA>
funcproto external,GetProfileString,QWORD,QWORD,QWORD,QWORD,DWORD

GetShortPathName EQU <GetShortPathNameA>
funcproto external,GetShortPathName,QWORD,QWORD,DWORD

GetStartupInfo EQU <GetStartupInfoA>
funcproto external,GetStartupInfo,QWORD

GetStringTypeEx EQU <GetStringTypeExA>
funcproto external,GetStringTypeEx,DWORD,DWORD,QWORD,DWORD,QWORD

GetSystemDirectory EQU <GetSystemDirectoryA>
funcproto external,GetSystemDirectory,QWORD,DWORD

GetSystemWindowsDirectory EQU <GetSystemWindowsDirectoryA>
funcproto external,GetSystemWindowsDirectory,QWORD,DWORD

GetSystemWow64Directory EQU <GetSystemWow64DirectoryA>
funcproto external,GetSystemWow64Directory,QWORD,DWORD

GetTempFileName EQU <GetTempFileNameA>
funcproto external,GetTempFileName,QWORD,QWORD,DWORD,QWORD

GetTempPath EQU <GetTempPathA>
funcproto external,GetTempPath,DWORD,QWORD

GetTimeFormat EQU <GetTimeFormatA>
funcproto external,GetTimeFormat,DWORD,DWORD,QWORD,QWORD,QWORD,DWORD

GetVersionEx EQU <GetVersionExA>
funcproto external,GetVersionEx,QWORD

GetVolumeInformation EQU <GetVolumeInformationA>
funcproto external,GetVolumeInformation,QWORD,QWORD,DWORD,QWORD,QWORD,QWORD,QWORD,DWORD

GetVolumeNameForVolumeMountPoint EQU <GetVolumeNameForVolumeMountPointA>
funcproto external,GetVolumeNameForVolumeMountPoint,QWORD,QWORD,DWORD

GetVolumePathName EQU <GetVolumePathNameA>
funcproto external,GetVolumePathName,QWORD,QWORD,DWORD

GetVolumePathNamesForVolumeName EQU <GetVolumePathNamesForVolumeNameA>
funcproto external,GetVolumePathNamesForVolumeName,QWORD,QWORd,DWORD,QWORD

GetWindowsDirectory EQU <GetWindowsDirectoryA>
funcproto external,GetWindowsDirectory,QWORD,DWORD

GlobalAddAtom EQU <GlobalAddAtomA>
funcproto external,GlobalAddAtom,QWORD

GlobalFindAtom EQU <GlobalFindAtomA>
funcproto external,GlobalFindAtom,QWORD

GlobalGetAtomName EQU <GlobalGetAtomNameA>
funcproto external,GlobalGetAtomName,WORD,QWORD,DWORD

IsBadStringPtr EQU <IsBadStringPtrA>
funcproto external,IsBadStringPtr,QWORD,QWORD

LCMapString EQU <LCMapStringA>
funcproto external,LCMapString,DWORD,DWORD,QWORd,DWORD,QWORD,DWORD

LoadLibrary EQU <LoadLibraryA>
funcproto external,LoadLibrary,QWORD

LoadLibraryEx EQU <LoadLibraryExA>
funcproto external,LoadLibraryEx,QWORD,QWORD,DWORD

lstrcat EQU <lstrcatA>
funcproto external,lstrcat,QWORD,QWORD

lstrcmp EQU <lstrcmpA>
funcproto external,lstrcmp,QWORd,QWORD

lstrcmpi EQU <lstrcmpiA>
funcproto external,lstrcmpi,QWORD,QWORD

lstrcpy EQU <lstrcpyA>
funcproto external,lstrcpy,QWORD,QWORD

lstrcpyn EQU <lstrcpynA>
funcproto external,lstrcpyn,QWORD,QWORd,DWORD

lstrlen EQU <lstrlenA>
funcproto external,lstrlen,QWORD

MoveFile EQU <MoveFileA>
funcproto external,MoveFile,QWORD,QWORD

MoveFileEx EQU <MoveFileExA>
funcproto external,MoveFileEx,QWORD,QWORD,DWORD

MoveFileWithProgress EQU <MoveFileWithProgressA>
funcproto external,MoveFileWithProgress,QWORD,QWORD,QWORD,QWORD,DWORD

NeedCurrentDirectoryForExePath EQU <NeedCurrentDirectoryForExePathA>
funcproto external,NeedCurrentDirectoryForExePath,QWORD

OpenEvent EQU <OpenEventA>
funcproto external,OpenEvent,DWORD,DWORD,QWORD

OpenFileMapping EQU <OpenFileMappingA>
funcproto external,OpenFileMapping,DWORD,DWORD,QWORD

OpenJobObject EQU <OpenJobObjectA>
funcproto external,OpenJobObject,DWORD,DWORD,QWORD

OpenMutex EQU <OpenMutexA>
funcproto external,OpenMutex,DWORD,DWORD,QWORD

OpenSemaphore EQU <OpenSemaphoreA>
funcproto external,OpenSemaphore,dword,dword,qword

OpenWaitableTimer EQU <OpenWaitableTimerA>
funcproto external,OpenWaitableTimer,DWORD,dWORD,QWORD

OutputDebugString EQU <OutputDebugStringA>
funcproto external,OutputDebugString,QWORD

PeekConsoleInput EQU <PeekConsoleInputA>
funcproto external,PeekConsoleInput,QWORD,QWORD,DWORD,QWORD

QueryDosDevice EQU <QueryDosDeviceA>
funcproto external,QueryDosDevice,QWORD,QWORD,DWORD

ReadConsole EQU <ReadConsoleA>
funcproto external,ReadConsole,QWORD,QWORD,DWORD,QWORD,QWORD

ReadConsoleInput EQU <ReadConsoleInputA>
funcproto external,ReadConsoleInput,QWORD,QWORD,DWORD,QWORD

ReadConsoleOutput EQU <ReadConsoleOutputA>
funcproto external,ReadConsoleOutput,QWORD,QWORD,DWORd,DWORD,QWORD

ReadConsoleOutputCharacter EQU <ReadConsoleOutputCharacterA>
funcproto external,ReadConsoleOutputCharacter,QWORD,QWORD,DWORD,DWORD,QWORD

RemoveDirectory EQU <RemoveDirectoryA>
funcproto external,RemoveDirectory,QWORD

ReplaceFile EQU <ReplaceFileA>
funcproto external,ReplaceFile,QWORD,QWORD,QWORD,DWORD,QWORD,QWORD

ScrollConsoleScreenBuffer EQU <ScrollConsoleScreenBufferA>
funcproto external,ScrollConsoleScreenBuffer,QWORD,QWORD,WORD,DWORD,QWORD

SearchPath EQU <SearchPathA>
funcproto external,SearchPath,QWORD,QWORD,QWORD,DWORD,QWORD,QWORD

SetCalendarInfo EQU <SetCalendarInfoA>
funcproto external,SetCalendarInfo,DWORD,DWORD,DWORD,QWORD

SetComputerName EQU <SetComputerNameA>
funcproto external,SetComputerName,QWORD

SetComputerNameEx EQU <SetComputerNameExA>
funcproto external,SetComputerNameEx,DWORD,QWORD

SetConsoleTitle EQU <SetConsoleTitleA>
funcproto external,SetConsoleTitle,QWORD

SetCurrentDirectory EQU <SetCurrentDirectoryA>
funcproto external,SetCurrentDirectory,QWORD

SetDefaultCommConfig EQU <SetDefaultCommConfigA>
funcproto external,SetDefaultCommConfig,QWORD,QWORD,DWORD

SetDllDirectory EQU <SetDllDirectoryA>
funcproto external,SetDllDirectory,QWORD

SetEnvironmentVariable EQU <SetEnvironmentVariableA>
funcproto external,SetEnvironmentVariable,QWORD,QWORD

SetFileAttributes EQU <SetFileAttributesA>
funcproto external,SetFileAttributes,QWORD,DWORD

SetFileShortName EQU <SetFileShortNameA>
funcproto external,SetFileShortName,QWORD,QWORD

SetFirmwareEnvironmentVariable EQU <SetFirmwareEnvironmentVariableA>
funcproto external,SetFirmwareEnvironmentVariable,QWORD,QWORD,QWORD,DWORD

SetLocaleInfo EQU <SetLocaleInfoA>
funcproto external,SetLocaleInfo,DWORD,DWORD,QWORD

SetLocalPrimaryComputerName EQU <SetLocalPrimaryComputerNameA>
SetVolumeLabel EQU <SetVolumeLabelA>
funcproto external,SetVolumeLabel,QWORD,QWORD

SetVolumeMountPoint EQU <SetVolumeMountPointA>
funcproto external,SetVolumeMountPoint,QWORD,QWORD

UpdateResource EQU <UpdateResourceA>
funcproto external,UpdateResource,QWORD,QWORD,QWORD,WORD,QWORD,DWORD

VerifyVersionInfo EQU <VerifyVersionInfoA>
funcproto external,VerifyVersionInfo,QWORD,DWORD,QWORD

VerLanguageName EQU <VerLanguageNameA>
funcproto external,VerLanguageName,DWORD,QWORD,DWORD

WaitNamedPipe EQU <WaitNamedPipeA>
funcproto external,WaitNamedPipe,QWORD,DWORD

WriteConsole EQU <WriteConsoleA>
funcproto external,WriteConsole,QWORD,QWORD,DWORD,QWORD,QWORD

WriteConsoleInput EQU <WriteConsoleInputA>
funcproto external,WriteConsoleInput,QWORD,QWORD,DWORD,QWORD

WriteConsoleOutput EQU <WriteConsoleOutputA>
funcproto external,WriteConsoleOutput,QWORD,QWORD,DWORD,DWORD,QWORD

WriteConsoleOutputCharacter EQU <WriteConsoleOutputCharacterA>
funcproto external,WriteConsoleOutputCharacter,QWORD,QWORD,DWORD,DWORD,QWORD

WritePrivateProfileSection EQU <WritePrivateProfileSectionA>
funcproto external,WritePrivateProfileSection,QWORD,QWORD,QWORD

WritePrivateProfileString EQU <WritePrivateProfileStringA>
funcproto external,WritePrivateProfileString,QWORD,QWORD,QWORD,QWORD

WritePrivateProfileStruct EQU <WritePrivateProfileStructA>
funcproto external,WritePrivateProfileStruct,QWORD,QWORD,QWORD,DWORD,QWORD

WriteProfileSection EQU <WriteProfileSectionA>
funcproto external,WriteProfileSection,QWORD,QWORD

WriteProfileString EQU <WriteProfileStringA>
funcproto external,WriteProfileString,QWORD,QWORD,QWORD
ELSE
AddAtom EQU <AddAtomW>
funcproto external,AddAtom,QWORD

AddConsoleAlias EQU <AddConsoleAliasW>
funcproto external,AddConsoleAlias,QWORD,QWORD,QWORD

BeginUpdateResource EQU <BeginUpdateResourceW>
funcproto external,BeginUpdateResource,QWORD,DWORD

BuildCommDCB EQU <BuildCommDCBW>
funcproto external,BuildCommDCB,QWORD,QWORD

BuildCommDCBAndTimeouts EQU <BuildCommDCBAndTimeoutsW>
funcproto external,BuildCommDCBAndTimeouts,QWORD,QWORD,QWORD

CallNamedPipe EQU <CallNamedPipeW>
funcproto external,CallNamedPipe,QWORD,QWORD,DWORD,QWORD,DWORD,QWORD,DWORD

CheckNameLegalDOS8Dot3 EQU <CheckNameLegalDOS8Dot3W>
funcproto external,CheckNameLegalDOS8Dot3,QWORD,QWORD,DWORD,QWORD,QWORD

CommConfigDialog EQU <CommConfigDialogW>
funcproto external,CommConfigDialog,QWORD,QWORD,QWORD

CompareString EQU <CompareStringW>
funcproto external,CompareString,DWORD,DWORD,QWORD,DWORD,QWORD,DWORD

CopyFile EQU <CopyFileW>
funcproto external,CopyFile,QWORD,QWORD,DWORD

CopyFileEx EQU <CopyFileExW>
funcproto external,CopyFileEx,QWORD,QWORD,QWORD,QWORD,QWORD,DWORD

CreateActCtx EQU <CreateActCtxW>
funcproto external,CreateActCtx,QWORD

CreateDirectory EQU <CreateDirectoryW>
funcproto external,CreateDirectory,QWORD,QWORD

CreateDirectoryEx EQU <CreateDirectoryExW>
funcproto external,CreateDirectoryEx,QWORD,QWORD,QWORD

CreateEvent EQU <CreateEventW>
funcproto external,CreateEvent,QWORD,DWORD,DWORD,QWORD

CreateFile EQU <CreateFileW>
funcproto external,CreateFile,QWORD,DWORD,DWORD,QWORD,DWORD,DWORD,QWORD

CreateFileMapping EQU <CreateFileMappingW>
funcproto external,CreateFileMapping,QWORD,QWORD,DWORD,DWORD,DWORD,QWORD

CreateHardLink EQU <CreateHardLinkW>
funcproto external,CreateHardLink,QWORD,QWORD,QWORD

CreateJobObject EQU <CreateJobObjectW>
funcproto external,CreateJobObject,QWORD,QWORD

CreateMailslot EQU <CreateMailslotW>
funcproto external,CreateMailslot,QWORD,DWORD,DWORD,QWORD

CreateMutex EQU <CreateMutexW>
funcproto external,CreateMutex,QWORD,DWORD,QWORD

CreateNamedPipe EQU <CreateNamedPipeW>
funcproto external,CreateNamedPipe,QWORD,DWORD,DWORD,DWORD,DWORD,DWORD,DWORD,QWORD

CreateProcess EQU <CreateProcessW>
funcproto external,CreateProcess,QWORD,QWORD,QWORD,QWORD,DWORD,DWORD,QWORD,QWORD,QWORD,QWORD

CreateSemaphore EQU <CreateSemaphoreW>
funcproto external,CreateSemaphore,QWORD,DWORD,DWORD,QWORD

CreateWaitableTimer EQU <CreateWaitableTimerW>
funcproto external,CreateWaitableTimer,QWORD,DWORD,QWORD

DefineDosDevice EQU <DefineDosDeviceW>
funcproto external,DefineDosDevice,DWORD,QWORD,QWORD

DeleteFile EQU <DeleteFileW>
funcproto external,DeleteFile,QWORD

DeleteVolumeMountPoint EQU <DeleteVolumeMountPointW>
funcproto external,DeleteVolumeMountPoint,QWORD

DnsHostnameToComputerName EQU <DnsHostnameToComputerNameW>
funcproto external,DnsHostnameToComputerName,QWORD,QWORD,QWORD

EndUpdateResource EQU <EndUpdateResourceW>
funcproto external,EndUpdateResource,QWORD,DWORD

EnumDateFormats EQU <EnumDateFormatsW>
funcproto external,EnumDateFormats,QWORD,DWORD,DWORD

EnumDateFormatsEx EQU <EnumDateFormatsExW>
funcproto external,EnumDateFormatsEx,QWORD,DWORD,DWORD

EnumLanguageGroupLocales EQU <EnumLanguageGroupLocalesW>
funcproto external,EnumLanguageGroupLocales,QWORD,DWORD,DWORD,QWORD

EnumResourceLanguages EQU <EnumResourceLanguagesW>
funcproto external,EnumResourceLanguages,QWORD,QWORD,QWORD,QWORD,QWORD

EnumResourceNames EQU <EnumResourceNamesW>
funcproto external,EnumResourceNames,QWORD,QWORD,QWORD,QWORD

EnumResourceTypes EQU <EnumResourceTypesW>
funcproto external,EnumResourceTypes,QWORD,QWORD,QWORD

EnumSystemCodePages EQU <EnumSystemCodePagesW>
funcproto external,EnumSystemCodePages,QWORD,DWORD

EnumSystemLanguageGroups EQU <EnumSystemLanguageGroupsW>
funcproto external,EnumSystemLanguageGroups,QWORD,DWORD,QWORD

EnumSystemLocales EQU <EnumSystemLocalesW>
funcproto external,EnumSystemLocales,QWORD,DWORD

EnumTimeFormats EQU <EnumTimeFormatsW>
funcproto external,EnumTimeFormats,QWORD,DWORD,DWORD

EnumUILanguages EQU <EnumUILanguagesW>
funcproto external,EnumUILanguages,QWORD,DWORD,QWORD

ExpandEnvironmentStrings EQU <ExpandEnvironmentStringsW>
funcproto external,ExpandEnvironmentStrings,QWORD,QWORD,DWORD

FatalAppExit EQU <FatalAppExitW>
funcproto external,FatalAppExit,DWORD,QWORD

FillConsoleOutputCharacter EQU <FillConsoleOutputCharacterW>
funcproto external,FillConsoleOutputCharacter,QWORD,WORD,DWORD,WORD,WORD,QWORD

FindActCtxSectionString EQU <FindActCtxSectionStringW>
funcproto external,FindActCtxSectionString,DWORD,QWORD,DWORD,QWORD,QWORD

FindAtom EQU <FindAtomW>
funcproto external,FindAtom,QWORD

FindFirstChangeNotification EQU <FindFirstChangeNotificationW>
funcproto external,FindFirstChangeNotification,QWORD,DWORD,DWORD

FindFirstFile EQU <FindFirstFileW>
funcproto external,FindFirstFile,QWORD,QWORD

FindFirstFileEx EQU <FindFirstFileExW>
funcproto external,FindFirstFileEx,QWORD,DWORD,QWORD,DWORD,QWORD,DWORD

FindFirstVolume EQU <FindFirstVolumeW>
funcproto external,FindFirstVolume,QWORD,DWORD

FindFirstVolumeMountPoint EQU <FindFirstVolumeMountPointW>
funcproto external,FindFirstVolumeMountPoint,QWORD,QWORD,DWORD

FindNextFile EQU <FindNextFileW>
funcproto external,FindNextFile,QWORD,QWORD

FindNextVolume EQU <FindNextVolumeW>
funcproto external,FindNextVolume,QWORD,QWORD,DWORD

FindNextVolumeMountPoint EQU <FindNextVolumeMountPointW>
funcproto external,FindNextVolumeMountPoint,QWORD,QWORD,DWORD

FindResource EQU <FindResourceW>
funcproto external,FindResource,QWORD,QWORD,QWORD

FindResourceEx EQU <FindResourceExW>
funcproto external,FindResourceEx,QWORD,QWORD,QWORD,WORD

FoldString EQU <FoldStringW>
funcproto external,FoldString,DWORD,QWORD,DWORD,QWORd,DWORD

FormatMessage EQU <FormatMessageW>
funcproto external,FormatMessage,DWORD,QWORD,DWORD,DWORD,QWORD,DWORD,QWORD

FreeEnvironmentStrings EQU <FreeEnvironmentStringsW>
funcproto external,FreeEnvironmentStrings,QWORD

GetAtomName EQU <GetAtomNameW>
funcproto external,GetAtomName,WORD,QWORD,DWORD

GetBinaryType EQU <GetBinaryTypeW>
funcproto external,GetBinaryType,QWORd,QWORD

GetCommandLine EQU <GetCommandLineW>
funcproto external,GetCommandLine

GetCompressedFileSize EQU <GetCompressedFileSizeW>
funcproto external,GetCompressedFileSize,QWORD,QWORD

GetComputerName EQU <GetComputerNameW>
funcproto external,GetComputerName,QWORD,QWORD

GetComputerNameEx EQU <GetComputerNameExW>
funcproto external,GetComputerNameEx,DWORD,QWORd,QWORD

GetConsoleAlias EQU <GetConsoleAliasW>
funcproto external,GetConsoleAlias,QWORD,QWORD,DWORD,QWORD

GetConsoleAliases EQU <GetConsoleAliasesW>
funcproto external,GetConsoleAliases,QWORD,DWORD,QWORD

GetConsoleAliasesLength EQU <GetConsoleAliasesLengthW>
funcproto external,GetConsoleAliasesLength,QWORD

GetConsoleAliasExes EQU <GetConsoleAliasExesW>
funcproto external,GetConsoleAliasExes,QWORD,DWORD

GetConsoleAliasExesLength EQU <GetConsoleAliasExesLengthW>
funcproto external,GetConsoleAliasExesLength

GetConsoleTitle EQU <GetConsoleTitleW>
funcproto external,GetConsoleTitle,QWORD,DWORD

GetCPInfoEx EQU <GetCPInfoExW>
funcproto external,GetCPInfoEx,DWORD,DWORD,QWORD

GetCurrencyFormat EQU <GetCurrencyFormatW>
funcproto external,GetCurrencyFormat,DWORD,DWORD,QWORD,QWORD,QWORD,DWORD

GetCurrentDirectory EQU <GetCurrentDirectoryW>
funcproto external,GetCurrentDirectory,DWORD,QWORD

GetDateFormat EQU <GetDateFormatW>
funcproto external,GetDateFormat,DWORD,DWORD,QWORD,QWORD,QWORD,DWORD

GetDefaultCommConfig EQU <GetDefaultCommConfigW>
funcproto external,GetDefaultCommConfig,QWORD,QWORD,QWORD

GetDiskFreeSpace EQU <GetDiskFreeSpaceW>
funcproto external,GetDiskFreeSpace,QWORD,QWORD,QWORD,QWORD,QWORD

GetDiskFreeSpaceEx EQU <GetDiskFreeSpaceExW>
funcproto external,GetDiskFreeSpaceEx,QWORD,QWORD,QWORD,QWORD

GetDllDirectory EQU <GetDllDirectoryW>
funcproto external,GetDllDirectory,DWORd,QWORD

GetDriveType EQU <GetDriveTypeW>
funcproto external,GetDriveType,QWORD

GetEnvironmentStrings EQU <GetEnvironmentStringsW>
funcproto external,GetEnvironmentStrings

GetEnvironmentVariable EQU <GetEnvironmentVariableW>
funcproto external,GetEnvironmentVariable,QWORD,QWORD,DWORD

GetFileAttributes EQU <GetFileAttributesW>
funcproto external,GetFileAttributes,QWORD

GetFileAttributesEx EQU <GetFileAttributesExW>
funcproto external,GetFileAttributesEx,QWORD,DWORD,QWORD

GetFirmwareEnvironmentVariable EQU <GetFirmwareEnvironmentVariableW>
funcproto external,GetFirmwareEnvironmentVariable,QWORD,QWORD,QWORD,DWORD

GetFullPathName EQU <GetFullPathNameW>
funcproto external,GetFullPathName,QWORD,DWORD,QWORD,QWORD

GetGeoInfo EQU <GetGeoInfoW>
funcproto external,GetGeoInfo,DWORD,DWORD,QWORD,DWORD,WORD

GetLocaleInfo EQU <GetLocaleInfoW>
funcproto external,GetLocaleInfo,WORD,DWORD,QWORD,DWORD

GetLogicalDriveStrings EQU <GetLogicalDriveStringsW>
funcproto external,GetLogicalDriveStrings,DWORD,QWORD

GetLongPathName EQU <GetLongPathNameW>
funcproto external,GetLongPathName,QWORD,QWORD,DWORD

GetModuleFileName EQU <GetModuleFileNameW>
funcproto external,GetModuleFileName,QWORD,QWORD,DWORD

GetModuleHandle EQU <GetModuleHandleW>
funcproto external,GetModuleHandle,QWORD

GetModuleHandleEx EQU <GetModuleHandleExW>
funcproto external,GetModuleHandleEx,DWORD,QWORD,QWORD

GetNamedPipeHandleState EQU <GetNamedPipeHandleStateW>
funcproto external,GetNamedPipeHandleState,QWORD,QWORD,QWORD,QWORD,QWORD,QWORD,DWORD

GetNumberFormat EQU <GetNumberFormatW>
funcproto external,GetNumberFormat,DWORD,DWORD,QWORD,QWORD,QWORD,DWORD

GetPrivateProfileInt EQU <GetPrivateProfileIntW>
funcproto external,GetPrivateProfileInt,QWORD,QWORD,DWORD,QWORD

GetPrivateProfileSection EQU <GetPrivateProfileSectionW>
funcproto external,GetPrivateProfileSection,QWORD,QWORD,DWORD,QWORD

GetPrivateProfileSectionNames EQU <GetPrivateProfileSectionNamesW>
funcproto external,GetPrivateProfileSectionNames,QWORD,DWORD,QWORD

GetPrivateProfileString EQU <GetPrivateProfileStringW>
funcproto external,GetPrivateProfileString,QWORD,QWORD,QWORD,QWORD,DWORD,QWORD

GetPrivateProfileStruct EQU <GetPrivateProfileStructW>
funcproto external,GetPrivateProfileStruct,QWORD,QWORd,QWORD,DWORD,QWORD

GetProfileInt EQU <GetProfileIntW>
funcproto external,GetProfileInt,QWORD,QWORd,DWORD

GetProfileSection EQU <GetProfileSectionW>
funcproto external,GetProfileSection,QWORd,QWORd,DWORD

GetProfileString EQU <GetProfileStringW>
funcproto external,GetProfileString,QWORD,QWORD,QWORD,QWORD,DWORD

GetShortPathName EQU <GetShortPathNameW>
funcproto external,GetShortPathName,QWORD,QWORD,DWORD

GetStartupInfo EQU <GetStartupInfoW>
funcproto external,GetStartupInfo,QWORD

GetStringTypeEx EQU <GetStringTypeExW>
funcproto external,GetStringTypeEx,DWORD,DWORD,QWORD,DWORD,QWORD

GetSystemDirectory EQU <GetSystemDirectoryW>
funcproto external,GetSystemDirectory,QWORD,DWORD

GetSystemWindowsDirectory EQU <GetSystemWindowsDirectoryW>
funcproto external,GetSystemWindowsDirectory,QWORD,DWORD

GetSystemWow64Directory EQU <GetSystemWow64DirectoryW>
funcproto external,GetSystemWow64Directory,QWORD,DWORD

GetTempFileName EQU <GetTempFileNameW>
funcproto external,GetTempFileName,QWORD,QWORD,DWORD,QWORD

GetTempPath EQU <GetTempPathW>
funcproto external,GetTempPath,DWORd,QWORD

GetTimeFormat EQU <GetTimeFormatW>
funcproto external,GetTimeFormat,DWORD,DWORD,QWORD,QWORD,QWORD,DWORD

GetVersionEx EQU <GetVersionExW>
funcproto external,GetVersionEx,QWORD

GetVolumeInformation EQU <GetVolumeInformationW>
funcproto external,GetVolumeInformation,QWORD,QWORD,DWORD,QWORD,QWORD,QWORD,QWORD,DWORD

GetVolumeNameForVolumeMountPoint EQU <GetVolumeNameForVolumeMountPointW>
funcproto external,GetVolumeNameForVolumeMountPoint,QWORD,QWORD,DWORD

GetVolumePathName EQU <GetVolumePathNameW>
funcproto external,GetVolumePathName,QWORD,QWORD,DWORD

GetVolumePathNamesForVolumeName EQU <GetVolumePathNamesForVolumeNameW>
funcproto external,GetVolumePathNamesForVolumeName,QWORD,QWORd,DWORD,QWORD

GetWindowsDirectory EQU <GetWindowsDirectoryW>
funcproto external,GetWindowsDirectory,QWORD,DWORD

GlobalAddAtom EQU <GlobalAddAtomW>
funcproto external,GlobalAddAtom,QWORD

GlobalFindAtom EQU <GlobalFindAtomW>
funcproto external,GlobalFindAtom,QWORD

GlobalGetAtomName EQU <GlobalGetAtomNameW>
funcproto external,GlobalGetAtomName,WORD,QWORD,DWORD

IsBadStringPtr EQU <IsBadStringPtrW>
funcproto external,IsBadStringPtr,QWORD,QWORD

LCMapString EQU <LCMapStringW>
funcproto external,LCMapString,DWORD,DWORD,QWORd,DWORD,QWORD,DWORD

LoadLibrary EQU <LoadLibraryW>
funcproto external,LoadLibrary,QWORD

LoadLibraryEx EQU <LoadLibraryExW>
funcproto external,LoadLibraryEx,QWORD,QWORD,DWORD

lstrcat EQU <lstrcatW>
funcproto external,lstrcat,QWORD,QWORD

lstrcmp EQU <lstrcmpW>
funcproto external,lstrcmp,QWORD,QWORD

lstrcmpi EQU <lstrcmpiW>
funcproto external,lstrcmpi,QWORD,QWORD

lstrcpy EQU <lstrcpyW>
funcproto external,lstrcpy,QWORD,QWORD

lstrcpyn EQU <lstrcpynW>
funcproto external,lstrcpyn,QWORD,QWORd,DWORD

lstrlen EQU <lstrlenW>
funcproto external,lstrlen,QWORD

MoveFile EQU <MoveFileW>
funcproto external,MoveFile,QWORD,QWORD

MoveFileEx EQU <MoveFileExW>
funcproto external,MoveFileEx,QWORD,QWORD,DWORD

MoveFileWithProgress EQU <MoveFileWithProgressW>
funcproto external,MoveFileWithProgress,QWORD,QWORD,QWORD,QWORD,DWORD

NeedCurrentDirectoryForExePath EQU <NeedCurrentDirectoryForExePathW>
funcproto external,NeedCurrentDirectoryForExePath,QWORD

OpenEvent EQU <OpenEventW>
funcproto external,OpenEvent,DWORD,DWORD,QWORD

OpenFileMapping EQU <OpenFileMappingW>
funcproto external,OpenFileMapping,DWORD,DWORD,QWORD

OpenJobObject EQU <OpenJobObjectW>
funcproto external,OpenJobObject,DWORD,DWORD,QWORD

OpenMutex EQU <OpenMutexW>
funcproto external,OpenMutex,DWORD,DWORD,QWORD

OpenSemaphore EQU <OpenSemaphoreW>
funcproto external,OpenSemaphore,dword,dword,qword

OpenWaitableTimer EQU <OpenWaitableTimerW>
funcproto external,OpenWaitableTimer,DWORD,dWORD,QWORD

OutputDebugString EQU <OutputDebugStringW>
funcproto external,OutputDebugString,QWORD

PeekConsoleInput EQU <PeekConsoleInputW>
funcproto external,PeekConsoleInput,QWORD,QWORD,DWORD,QWORD

QueryDosDevice EQU <QueryDosDeviceW>
funcproto external,QueryDosDevice,QWORD,QWORD,DWORD

ReadConsole EQU <ReadConsoleW>
funcproto external,ReadConsole,QWORD,QWORD,DWORD,QWORD,QWORD

ReadConsoleInput EQU <ReadConsoleInputW>
funcproto external,ReadConsoleInput,QWORD,QWORD,DWORD,QWORD

ReadConsoleOutput EQU <ReadConsoleOutputW>
funcproto external,ReadConsoleOutput,QWORD,QWORD,DWORd,DWORD,QWORD

ReadConsoleOutputCharacter EQU <ReadConsoleOutputCharacterW>
funcproto external,ReadConsoleOutputCharacter,QWORD,QWORD,DWORD,DWORD,QWORD

RemoveDirectory EQU <RemoveDirectoryW>
funcproto external,RemoveDirectory,QWORD

ReplaceFile EQU <ReplaceFileW>
funcproto external,ReplaceFile,QWORD,QWORD,QWORD,DWORD,QWORD,QWORD

ScrollConsoleScreenBuffer EQU <ScrollConsoleScreenBufferW>
funcproto external,ScrollConsoleScreenBuffer,QWORD,QWORD,WORD,DWORD,QWORD

SearchPath EQU <SearchPathW>
funcproto external,SearchPath,QWORD,QWORD,QWORD,DWORD,QWORD,QWORD

SetCalendarInfo EQU <SetCalendarInfoW>
funcproto external,SetCalendarInfo,DWORD,DWORD,DWORD,QWORD

SetComputerName EQU <SetComputerNameW>
funcproto external,SetComputerName,QWORD

SetComputerNameEx EQU <SetComputerNameExW>
funcproto external,SetComputerNameEx,DWORD,QWORD

SetConsoleTitle EQU <SetConsoleTitleW>
funcproto external,SetConsoleTitle,QWORD

SetCurrentDirectory EQU <SetCurrentDirectoryW>
funcproto external,SetCurrentDirectory,QWORD

SetDefaultCommConfig EQU <SetDefaultCommConfigW>
funcproto external,SetDefaultCommConfig,QWORD,QWORD,DWORD

SetDllDirectory EQU <SetDllDirectoryW>
funcproto external,SetDllDirectory,QWORD

SetEnvironmentVariable EQU <SetEnvironmentVariableW>
funcproto external,SetEnvironmentVariable,QWORD,QWORD

SetFileAttributes EQU <SetFileAttributesW>
funcproto external,SetFileAttributes,QWORD,DWORD

SetFileShortName EQU <SetFileShortNameW>
funcproto external,SetFileShortName,QWORD,QWORD

SetFirmwareEnvironmentVariable EQU <SetFirmwareEnvironmentVariableW>
funcproto external,SetFirmwareEnvironmentVariable,QWORD,QWORD,QWORD,DWORD

SetLocaleInfo EQU <SetLocaleInfoW>
funcproto external,SetLocaleInfo,DWORD,DWORD,QWORD

SetVolumeLabel EQU <SetVolumeLabelW>
funcproto external,SetVolumeLabel,QWORD,QWORD

SetVolumeMountPoint EQU <SetVolumeMountPointW>
funcproto external,SetVolumeMountPoint,QWORD,QWORD

UpdateResource EQU <UpdateResourceW>
funcproto external,UpdateResource,QWORD,QWORD,QWORD,WORD,QWORD,DWORD

VerifyVersionInfo EQU <VerifyVersionInfoW>
funcproto external,VerifyVersionInfo,QWORD,DWORD,QWORD

VerLanguageName EQU <VerLanguageNameW>
funcproto external,VerLanguageName,DWORD,QWORD,DWORD

WaitNamedPipe EQU <WaitNamedPipeW>
funcproto external,WaitNamedPipe,QWORD,DWORD

WriteConsole EQU <WriteConsoleW>
funcproto external,WriteConsole,QWORD,QWORD,DWORD,QWORD,QWORD

WriteConsoleInput EQU <WriteConsoleInputW>
funcproto external,WriteConsoleInput,QWORD,QWORD,DWORD,QWORD

WriteConsoleOutput EQU <WriteConsoleOutputW>
funcproto external,WriteConsoleOutput,QWORD,QWORD,DWORD,DWORD,QWORD

WriteConsoleOutputCharacter EQU <WriteConsoleOutputCharacterW>
funcproto external,WriteConsoleOutputCharacter,QWORD,QWORD,DWORD,DWORD,QWORD

WritePrivateProfileSection EQU <WritePrivateProfileSectionW>
funcproto external,WritePrivateProfileSection,QWORD,QWORD,QWORD

WritePrivateProfileString EQU <WritePrivateProfileStringW>
funcproto external,WritePrivateProfileString,QWORD,QWORD,QWORD,QWORD

WritePrivateProfileStruct EQU <WritePrivateProfileStructW>
funcproto external,WritePrivateProfileStruct,QWORD,QWORD,QWORD,DWORD,QWORD

WriteProfileSection EQU <WriteProfileSectionW>
funcproto external,WriteProfileSection,QWORD,QWORD

WriteProfileString EQU <WriteProfileStringW>
funcproto external,WriteProfileString,QWORD,QWORD,QWORD

ENDIF
ENDIF